Skip to main content
POST
Upsert managed skill
This feature is currently available for the following integrations:You’d like to see this feature for another integration? Please reach out! We’re always happy to discuss extending our coverage.
Stores the skill in Kombo immediately and only sends it to the HRIS during subsequent syncs. This lets you submit thousands of skills without worrying about the rate limits of the remote system.
This endpoint requires the permission Manage skill catalog to be enabled in your scope config.

Example Request Body

Authorizations

Authorization
string
header
required

Create an API key on the Secrets page in the Kombo dashboard.

Headers

X-Integration-Id
string
required

ID of the integration you want to interact with.

Body

application/json

POST /hris/skills Request body

origin_id
string
required

A stable identifier for this skill in your system. Re-sending the same origin_id updates the skill.

name
string
required

The name of the skill.

Minimum string length: 1
status
enum<string>
default:ACTIVE

The desired status of the skill in the remote HRIS. INACTIVE requests deactivation or archival where supported.

Available options:
ACTIVE,
INACTIVE

Response

POST /hris/skills Positive response

status
string
required
Allowed value: "success"
data
object
required
Example:
warnings
object[]
required

These are the interaction warnings that are shown in the dashboard. They are meant to provide debug information to you. We recommend logging them to the console.